Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#45203 - [sonnet] Please use hunspell

Attached to Project: Arch Linux
Opened by Hussam Al-Tayeb (hussam) - Thursday, 04 June 2015, 14:00 GMT
Last edited by Antonio Rojas (arojas) - Thursday, 04 June 2015, 14:52 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Antonio Rojas (arojas)
Felix Yan (felixonmars)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

unlike in kde4/kdelibs, KF5's sonnet can use hunspell. enchant hasn't seen a release in years. Hunspell is used by libreoffice, mozilla, etc... and so is more supported.
Sonnet 5.10 can now link against hunspell and use it.
Thank you.
This task depends upon

Closed by  Antonio Rojas (arojas)
Thursday, 04 June 2015, 14:52 GMT
Reason for closing:  Fixed
Additional comments about closing:  sonnet 5.10.0-2
Comment by Hussam Al-Tayeb (hussam) - Thursday, 04 June 2015, 14:03 GMT
Actually according to https://www.archlinux.org/packages/extra/x86_64/sonnet/
It is building the hunspell plugin and so enchant is not really being used.

namcap /var/cache/pacman/pkg/sonnet-5.10.0-1-x86_64.pkg.tar.xz
sonnet W: Referenced library 'libhspell.so.0' is an uninstalled dependency
sonnet W: Dependency qt5-base included but already satisfied
sonnet W: Dependency included and not needed ('enchant')

Loading...